html,
body {
    padding: 0;
    margin: 0;
    overflow-x: hidden;
    scroll-behavior: smooth;
}

body {
    font-family: 'Poppins', sans-serif;
    font-size: 1rem;
}

header {
    box-sizing: border-box;
    width: 100%;
    box-shadow: 0 1px 20px 1px #e1e1e1;
    position: fixed;
    top: 0;
    z-index: 9999;
    background-color: #fff;
}

.header-inner {
    display: flex;
    justify-content: space-between;
    padding: 15px 5%;
    align-items: center;
}

#logo {
    width: 200px;
}

#logo h1 {
    color: #004c4c;
}

.color-red {
    color: #4c0000;
}

nav {
    display: flex;
    justify-content: space-between;
    width: 60%;
    align-items: center;
}

nav ul {
    display: flex;
    justify-content: space-evenly;
    width: 75%;
    padding: 0;
}

nav li {
    list-style-type: none;
    margin-left: 20px;
}

nav li a {
    text-decoration: none;
    color: #000;
    transition: 0.4s;
}

nav li a:hover {
    color: #808080;
}

i {
    margin-right: 7px;
}

.btn {
    background-color: #f7ffbf;
    color: #4c0000;
    padding: 10px 30px;
    text-decoration: none;
    box-sizing: border-box;
    border-radius: 3px;
    transition: 0.4s ease;
}

.btn:hover {
    background-color: #4c0000;
    color: #fff;
}

/* ==== mobile navbar ==== */
.m-nav {
    display: none;
    width: 100%;
    height: 100px;
    transition: .4s;
    position: fixed;
    top: 0;
    background-color: #fff;
    z-index: 9999;
    padding: 10px 20px;
    box-sizing: border-box;
}

.m-nav.active {
    height: auto;
}

.m-nav-inner {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
}

.m-logo h1 {
    color: #004c4c;
    font-size: 1rem;
}

.burger {
    width: 30px;
    height: 30px;
}

.burger div {
    height: 3px;
    width: 30px;
    background-color: #004c4c;
    margin-bottom: 5px;
}

.m-nav-items {
    display: none;
    margin: 10px 0;
    padding: 30px;
    box-sizing: border-box;
    transition: .4s;
}

.m-nav-items.active {
    display: block;
}

.m-nav-items ul {
    list-style-type: none;
    padding: 0;
    margin-bottom: 30px;
}

.m-nav-items li {
    margin-bottom: 20px;
}

.m-nav-items a {
    text-decoration: none;
    color: #000;
    font-size: 1.5rem;
}

/* ==== media query for header ==== */
@media screen and (max-width:999px) {
    header {
        display: none;
    }

    .m-nav {
        display: block;
    }
}

#home {
    height: 500px;
    padding: 50px 0;
    width: 90%;
    margin: 100px auto 0;
    box-sizing: border-box;
    text-align: center;
}

.st-bg {
    font-size: 4rem;
    font-weight: 300;
}

.st-sm {
    font-size: 2rem;
    font-weight: 400;
    color: #4c0000;
}

#home h1 {
    color: #004c4c;
}

#home h1 span {
    color: #4c0000;
    letter-spacing: 5px;
}

/* ==== hero mobile ==== */
@media screen and (max-width:999px) {
    #home {
        margin: 100px auto;
        height: auto;
    }
}

@media screen and (max-width:768px) {
    #home {
        margin: 50px auto 0;
    }

    .st-bg {
        font-size: 1.5rem;
    }

    .st-sm {
        font-size: 1.5rem;
    }
}

#about {
    display: flex;
    padding: 50px 0;
    box-sizing: border-box;
    width: 90%;
    margin: 0 auto;
    justify-content: center;
    align-items: center;
}

.my-pic {
    width: 300px;
    height: 400px;
    margin-right: 100px;
}

.my-pic img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    border-radius: 8px;
}

.about-me {
    width: 50%;
    height: auto;
}

.about-me h2 {
    color: #4c0000;
    margin: 0;
}

.about-me p {
    font-size: 2rem;
    color: #808080;
}

/* ==== mobile about ==== */
@media screen and (max-width:768px) {
    #about {
        flex-direction: column;
        padding: 20px 0;
        width: 95%;
    }

    .my-pic {
        display: none;
    }

    .about-me {
        width: 95%;
        margin: 0 auto;
    }

    .about-me p {
        font-size: 1.5rem;
    }
}


#experience {
    width: 90%;
    margin: 0 auto;
    padding: 50px 0;
}

#experience p {
    font-size: 1.2rem;
}

.skills {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    margin: 0 auto;
}

.skills i {
    font-size: 6rem;
    margin-right: 30px;
    margin-bottom: 30px;
    color: #004c4c;
    background-color: #f9f9f9;
    padding: 2rem;
    border-radius: 8px;
    box-shadow: 1px 1px 5px 1px #e9e9e9;
    transition: 0.4s;
}

.skills i:hover {
    color: #4c0000;
    box-shadow: 1px 1px 8px 1px #ccc;
    transform: scale(1.05);
}

#works {
    width: 100%;
    padding: 20px 5%;
    box-sizing: border-box;
    background-image: url("/img/code.jpg");
    background-size: cover;
    background-position: center;
    position: relative;
    background-attachment: fixed;
}

.wk-overlay {
    height: 100%;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.85);
}

#works h2 {
    color: #fff;
    z-index: 9;
    position: relative;
}

.wk-cards {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    z-index: 9;
    position: relative;
}

.wk-card {
    width: 28%;
    border-radius: 8px;
    background-color: #f9f9f9;
    transition: 0.4s;
    text-decoration: none;
    display: block;
    color: #000;
    box-sizing: border-box;
    margin-bottom: 20px;
}

.wk-card:hover {
    transform: scale(1.03);
}

.wk-card:hover .wkc-link {
    letter-spacing: 1.5px;
}

.wkc-img img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.wkc-desc {
    padding: 20px;
}

.wk-name {
    letter-spacing: 1px;
    font-weight: 500;
    color: #4c0000;
}

.wkc-link {
    color: #004c4c;
    font-weight: 500;
}

.wk-cta {
    position: relative;
    text-align: center;
    z-index: 9;
    padding: 20px 0;
}

/* ==== mobile works ==== */
@media screen and (max-width:999px) {
    .wk-card {
        width: 45%;
        margin-bottom: 30px;
    }
}

@media screen and (max-width:768px) {
    #experience {
        width: 95%;
    }

    .skills {
        justify-content: space-around;
    }

    .skills i {
        margin-right: 0;
    }

    .wk-cards {
        justify-content: center;
    }

    .wk-card {
        width: 95%;
        margin-bottom: 20px;
    }
}

footer {
    margin-top: 50px;
    padding: 20px 0;
    box-shadow: 0 -1px 10px 1px #e1e1e1;
    text-align: center;
    color: #4c0000;
}

.social-icons a {
    font-size: 2rem;
    color: #4c0000;
    margin-right: 10px;
    transition: 0.4s;
}

.social-icons a:last-child {
    margin-right: 0;
}

.social-icons a:hover {
    color: #004c4c;
}